Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DynamicC.cpp File Reference

`#include "DynamicC.h"`
`#include "DynamicC.i"`

Include dependency graph for DynamicC.cpp:

## Namespaces
namespace | Dynamic
namespace | TAO
## Defines
#define | _DYNAMIC_PARAMETERLIST_CS_
#define | _DYNAMIC_EXCEPTIONLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_Dynamic_ParameterList (CORBA::tk_alias, sizeof(_oc_Dynamic_ParameterList),(char *)&_oc_Dynamic_ParameterList, 0, sizeof(Dynamic::ParameterList))
CORBA::TypeCode | _tc_TAO_tc_Dynamic_ContextList (CORBA::tk_alias, sizeof(_oc_Dynamic_ContextList),(char *)&_oc_Dynamic_ContextList, 0, sizeof(Dynamic::ContextList))
CORBA::TypeCode | _tc_TAO_tc_Dynamic_ExceptionList (CORBA::tk_alias, sizeof(_oc_Dynamic_ExceptionList),(char *)&_oc_Dynamic_ExceptionList, 0, sizeof(Dynamic::ExceptionList))
CORBA::TypeCode | _tc_TAO_tc_Dynamic_RequestContext (CORBA::tk_alias, sizeof(_oc_Dynamic_RequestContext),(char *)&_oc_Dynamic_RequestContext, 0, sizeof(Dynamic::RequestContext))
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const Dynamic::ParameterList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, Dynamic::ParameterList &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const Dynamic::ExceptionList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, Dynamic::ExceptionList &_tao_sequence)
## Variables
const CORBA::Long | _oc_Dynamic_ParameterList []
const CORBA::Long | _oc_Dynamic_ContextList []
const CORBA::Long | _oc_Dynamic_ExceptionList []
const CORBA::Long | _oc_Dynamic_RequestContext []

## Define Documentation

#define _DYNAMIC_EXCEPTIONLIST_CS_

#define _DYNAMIC_PARAMETERLIST_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_Dynamic_ContextList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_Dynamic_ContextList) | ,
|  | (char *)& | _oc_Dynamic_ContextList,
|  | 0 | ,
|  | sizeof(Dynamic::ContextList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_ExceptionList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_Dynamic_ExceptionList) | ,
|  | (char *)& | _oc_Dynamic_ExceptionList,
|  | 0 | ,
|  | sizeof(Dynamic::ExceptionList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_ParameterList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_Dynamic_ParameterList) | ,
|  | (char *)& | _oc_Dynamic_ParameterList,
|  | 0 | ,
|  | sizeof(Dynamic::ParameterList) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_Dynamic_RequestContext | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_Dynamic_RequestContext) | ,
|  | (char *)& | _oc_Dynamic_RequestContext,
|  | 0 | ,
|  | sizeof(Dynamic::RequestContext) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Dynamic::ExceptionList & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Dynamic::ParameterList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Dynamic::ExceptionList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Dynamic::ParameterList & | _tao_sequence
| ) |

## Variable Documentation

const CORBA::Long _oc_Dynamic_ContextList[]`[static]`

const CORBA::Long _oc_Dynamic_ExceptionList[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      38,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x44796e61),
      ACE_NTOHL (0x6d69632f),
      ACE_NTOHL (0x45786365),
      ACE_NTOHL (0x7074696f),
      ACE_NTOHL (0x6e4c6973),
      ACE_NTOHL (0x743a312e),
      ACE_NTOHL (0x30000000),
        14,
      ACE_NTOHL (0x45786365),
      ACE_NTOHL (0x7074696f),
      ACE_NTOHL (0x6e4c6973),
      ACE_NTOHL (0x74000000),
        CORBA::tk_sequence,
      12,
        TAO_ENCAP_BYTE_ORDER,
        CORBA::tk_TypeCode,

        0U,

    }

const CORBA::Long _oc_Dynamic_ParameterList[]`[static]`

const CORBA::Long _oc_Dynamic_RequestContext[]`[static]`